<lit-dependency component="/src/lit-section/lit-section.js"></lit-dependency>
<lit-dependency component="/src/lit-columns/lit-columns.js"></lit-dependency>

<lit-dependency component="/src/lit-collapse/lit-collapse.js"></lit-dependency>

<lit-section>
	<h1>This is page 2!</h1>
	<a href="/">Back to homepage</a>

	<br>

	<style>
		#outer {
			display: block;
			padding: .5rem;
			background-color: red;
		}

		#inner {
			display: block;
			padding: .5rem;
			background-color: blue;
		}
	</style>

	<button @click="${() => { let d = document.querySelector('#outer'); d.open = !d.open }}">Toggle outer</button>
	<button @click="${() => { let d = document.querySelector('#inner'); d.open = !d.open }}">Toggle inner</button>

	<lit-collapse id="outer" open>
		<lit-collapse id="inner" open>
			<p>
				Lorem ipsum dolor sit amet, consectetur adipisicing elit. Veritatis ullam ducimus consequatur suscipit
				omnis, officia ex? Sapiente iste debitis facere fugiat, ipsum ad, iusto placeat, odit eligendi
				asperiores
				ipsa ex.
			</p>
		</lit-collapse>
	</lit-collapse>
</lit-section>